Bug 591136 - Change SSSD ipa BE to handle new structure of the HBAC rule
Change SSSD ipa BE to handle new structure of the HBAC rule
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Stephen Gallagher
Chandrasekar Kannan
:
Depends On:
Blocks: 579775
  Show dependency treegraph
 
Reported: 2010-05-11 10:17 EDT by Dmitri Pal
Modified: 2015-01-04 18:42 EST (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.2.0-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:39:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2010-05-11 10:17:56 EDT
On 05/10/10 we decided that the structure of the IPA HBAC should change to factor in grouping of the login services. This bug calls for the corresponding changes to be made in SSSD to be able to handle the new format.
Comment 2 RHEL Product and Program Management 2010-05-11 10:20:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Jenny Galipeau 2010-08-20 10:07:29 EDT
Can you please add steps to reproduce this and note where this is documented - man page?  As per https://fedorahosted.org/sssd/ticket/475
Thanks!
Comment 7 Sumit Bose 2010-08-24 15:42:32 EDT
Recent version of the IPA server support service groups for HBAC rules. Perviously on one service or all services were allowed in a HBAC rule. On the server side the 'ipa hbacsvc' command family can be used to create object for a single service and the 'ipa hbacsvcgroup' family to put multiple services into a group. The default server installation already creates service objects for widely used services like sssd, su, su-l, sudo.

One the client side all of the related changes are completely transparent and do not any special configuration.
Comment 8 Jenny Galipeau 2010-08-25 12:27:37 EDT
verified:

On IPA server:
  * created hvac service group
  * added sshd and su services to service group
  * added new rule added service group, allowed memberhosts, sourcehosts, and allowed users

On IPA client (memberhost and sourcehost):
As allowed user could both sshd to memberHosts from sourceHosts and su on both memberHosts.

sssd version:
sssd-1.2.1-27.el6.i686

ipa-server version:
ipa-server-1.91-0.2010080617git830910d.fc12.i686
Comment 9 releng-rhel@redhat.com 2010-11-10 16:39:38 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.